"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

var _inheritsLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _chai = require("chai");

var _enzyme = require("enzyme");

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _ScrollReceiver = _interopRequireDefault(require("../ScrollReceiver"));

(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact["default"]()
});

var _ref = /*#__PURE__*/_react["default"].createElement("div", null);

describe('Test ScrollReceiver', function () {
  var TestEl = /*#__PURE__*/function (_PureComponent) {
    (0, _inheritsLoose2["default"])(TestEl, _PureComponent);

    function TestEl() {
      return _PureComponent.apply(this, arguments) || this;
    }

    var _proto = TestEl.prototype;

    _proto.render = function render() {
      return _ref;
    };

    return TestEl;
  }(_react.PureComponent);

  var _ref2 = /*#__PURE__*/_react["default"].createElement(_ScrollReceiver["default"], {
    container: TestEl
  });

  it('test simple ScrollReceiver', function () {
    var vDom = _ref2;
    var uFake = (0, _enzyme.mount)(vDom);
    (0, _chai.expect)(uFake.html()).to.be.equal('<div></div>');
  });
});