import _assertThisInitialized from "reshow-runtime/es/helpers/assertThisInitialized";
import _inheritsLoose from "reshow-runtime/es/helpers/inheritsLoose";
import _defineProperty from "reshow-runtime/es/helpers/defineProperty";
import dispatcher from '../scrollDispatcher';
import { scrollStore } from './scrollStore';
import get from 'get-object-value';

var fastScrollStore = /*#__PURE__*/function (_scrollStore) {
  _inheritsLoose(fastScrollStore, _scrollStore);

  function fastScrollStore() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _scrollStore.call.apply(_scrollStore, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "storeName", 'fastScroll');

    return _this;
  }

  var _proto = fastScrollStore.prototype;

  _proto.runScrollMonitor = function runScrollMonitor(e) {
    this.triggerScroll(e.target);
  };

  return fastScrollStore;
}(scrollStore);

export default new fastScrollStore(dispatcher);