"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _assertThisInitialized2 = _interopRequireDefault(require("reshow-runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("reshow-runtime/helpers/defineProperty"));

var _scrollDispatcher = _interopRequireDefault(require("../scrollDispatcher"));

var _scrollStore2 = require("./scrollStore");

var _getObjectValue = _interopRequireDefault(require("get-object-value"));

var fastScrollStore = /*#__PURE__*/function (_scrollStore) {
  (0, _inheritsLoose2["default"])(fastScrollStore, _scrollStore);

  function fastScrollStore() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _scrollStore.call.apply(_scrollStore, [this].concat(args)) || this;
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "storeName", 'fastScroll');
    return _this;
  }

  var _proto = fastScrollStore.prototype;

  _proto.runScrollMonitor = function runScrollMonitor(e) {
    this.triggerScroll(e.target);
  };

  return fastScrollStore;
}(_scrollStore2.scrollStore);

var _default = new fastScrollStore(_scrollDispatcher["default"]);

exports["default"] = _default;
module.exports = exports.default;