"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("reshow-runtime/helpers/extends"));

var _objectSpread2 = _interopRequireDefault(require("reshow-runtime/helpers/objectSpread2"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("reshow-runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _index = require("../../src/index");

var _reactAtomicMolecule = require("react-atomic-molecule");

/**
 * Production please use
 * import {xxx} from 'organism-react-scroll-nav';
 */

/*Test only*/
(0, _index.scrollDispatch)({
  scrollMargin: 100
});

var MenuItem = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(MenuItem, _Component);

  function MenuItem() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = MenuItem.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        targetInfo = _this$props.targetInfo,
        style = _this$props.style,
        reset = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, ["targetInfo", "style"]);
    var activeStyle = null;

    if (targetInfo.active) {
      activeStyle = Styles.active;
    }

    return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
      style: (0, _objectSpread2["default"])((0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, Styles.link), style), activeStyle)
    }, reset));
  };

  return MenuItem;
}(_react.Component);

var _ref = /*#__PURE__*/_react["default"].createElement(MenuItem, null);

var _ref2 = /*#__PURE__*/_react["default"].createElement(MenuItem, null);

var _ref3 = /*#__PURE__*/_react["default"].createElement(MenuItem, null);

var Index = /*#__PURE__*/function (_Component2) {
  (0, _inheritsLoose2["default"])(Index, _Component2);

  function Index() {
    return _Component2.apply(this, arguments) || this;
  }

  var _proto2 = Index.prototype;

  _proto2.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", {
      id: "nav-parent",
      style: Styles.nav
    }, /*#__PURE__*/_react["default"].createElement(_index.SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref,
      targetId: "t1",
      style: {
        background: '#3498DB'
      }
    }, "test1"), /*#__PURE__*/_react["default"].createElement(_index.SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref2,
      targetId: "t2",
      style: {
        background: '#F1C40F'
      }
    }, "test2"), /*#__PURE__*/_react["default"].createElement(_index.SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref3,
      targetId: "t3",
      style: {
        background: '#2ECC71'
      }
    }, "test3")), /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        paddingTop: 66
      }
    }, /*#__PURE__*/_react["default"].createElement(_index.ScrollSpy, {
      id: "t1",
      style: (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, Styles.content), {}, {
        background: "#3498DB"
      })
    }, "test111"), /*#__PURE__*/_react["default"].createElement(_index.ScrollSpy, {
      id: "t2",
      style: (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, Styles.content), {}, {
        background: "#F1C40F"
      })
    }, /*#__PURE__*/_react["default"].createElement(_index.ScrollSpy, {
      monitorScroll: false
    }, /*#__PURE__*/_react["default"].createElement(_index.ScrollReceiver, {
      style: {
        border: "1px solid #fff"
      }
    }, "test222"))), /*#__PURE__*/_react["default"].createElement(_index.ScrollSpy, {
      id: "t3",
      style: (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, Styles.content), {}, {
        background: "#2ECC71"
      })
    }, "test333")));
  };

  return Index;
}(_react.Component);

var _default = Index;
exports["default"] = _default;
var Styles = {
  content: {
    height: "110vh",
    textAlign: "center",
    paddingTop: "10%",
    fontSize: "4rem",
    color: "#fff"
  },
  link: {
    display: "inline-block",
    padding: "0.3rem 0.5rem",
    fontSize: "2rem",
    color: "#fff",
    marginRight: "10px",
    opacity: "0.5",
    cursor: "pointer"
  },
  active: {
    opacity: 1
  },
  body: (0, _reactAtomicMolecule.reactStyle)({
    margin: 0,
    padding: 0
  }, 'body'),
  nav: {
    position: 'fixed',
    background: '#fff',
    textAlign: 'center',
    width: "100%",
    padding: "10px 0",
    top: 0
  }
};
(0, _reactAtomicMolecule.injectStyle)();
module.exports = exports.default;