import _inheritsLoose from "reshow-runtime/es/helpers/inheritsLoose";
import React, { PureComponent } from 'react';
import { expect } from 'chai';
import { shallow, mount, configure } from 'enzyme';
import Adapter from 'enzyme-adapter-react-16';
configure({
  adapter: new Adapter()
});
import ScrollReceiver from '../ScrollReceiver';

var _ref = /*#__PURE__*/React.createElement("div", null);

describe('Test ScrollReceiver', function () {
  var TestEl = /*#__PURE__*/function (_PureComponent) {
    _inheritsLoose(TestEl, _PureComponent);

    function TestEl() {
      return _PureComponent.apply(this, arguments) || this;
    }

    var _proto = TestEl.prototype;

    _proto.render = function render() {
      return _ref;
    };

    return TestEl;
  }(PureComponent);

  var _ref2 = /*#__PURE__*/React.createElement(ScrollReceiver, {
    container: TestEl
  });

  it('test simple ScrollReceiver', function () {
    var vDom = _ref2;
    var uFake = mount(vDom);
    expect(uFake.html()).to.be.equal('<div></div>');
  });
});