import _extends from "reshow-runtime/es/helpers/extends";
import _objectSpread from "reshow-runtime/es/helpers/objectSpread2";
import _objectWithoutPropertiesLoose from "reshow-runtime/es/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "reshow-runtime/es/helpers/inheritsLoose";
import React, { Component } from 'react';
/**
 * Production please use
 * import {xxx} from 'organism-react-scroll-nav';
 */

import { ScrollSpy, ScrollReceiver, SmoothScrollLink, scrollDispatch } from "../../src/index";
/*Test only*/

scrollDispatch({
  scrollMargin: 100
});
import { reactStyle, injectStyle } from 'react-atomic-molecule';

var MenuItem = /*#__PURE__*/function (_Component) {
  _inheritsLoose(MenuItem, _Component);

  function MenuItem() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = MenuItem.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        targetInfo = _this$props.targetInfo,
        style = _this$props.style,
        reset = _objectWithoutPropertiesLoose(_this$props, ["targetInfo", "style"]);

    var activeStyle = null;

    if (targetInfo.active) {
      activeStyle = Styles.active;
    }

    return /*#__PURE__*/React.createElement("div", _extends({
      style: _objectSpread(_objectSpread(_objectSpread({}, Styles.link), style), activeStyle)
    }, reset));
  };

  return MenuItem;
}(Component);

var _ref = /*#__PURE__*/React.createElement(MenuItem, null);

var _ref2 = /*#__PURE__*/React.createElement(MenuItem, null);

var _ref3 = /*#__PURE__*/React.createElement(MenuItem, null);

var Index = /*#__PURE__*/function (_Component2) {
  _inheritsLoose(Index, _Component2);

  function Index() {
    return _Component2.apply(this, arguments) || this;
  }

  var _proto2 = Index.prototype;

  _proto2.render = function render() {
    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
      id: "nav-parent",
      style: Styles.nav
    }, /*#__PURE__*/React.createElement(SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref,
      targetId: "t1",
      style: {
        background: '#3498DB'
      }
    }, "test1"), /*#__PURE__*/React.createElement(SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref2,
      targetId: "t2",
      style: {
        background: '#F1C40F'
      }
    }, "test2"), /*#__PURE__*/React.createElement(SmoothScrollLink, {
      scrollRefId: "nav-parent",
      container: _ref3,
      targetId: "t3",
      style: {
        background: '#2ECC71'
      }
    }, "test3")), /*#__PURE__*/React.createElement("div", {
      style: {
        paddingTop: 66
      }
    }, /*#__PURE__*/React.createElement(ScrollSpy, {
      id: "t1",
      style: _objectSpread(_objectSpread({}, Styles.content), {}, {
        background: "#3498DB"
      })
    }, "test111"), /*#__PURE__*/React.createElement(ScrollSpy, {
      id: "t2",
      style: _objectSpread(_objectSpread({}, Styles.content), {}, {
        background: "#F1C40F"
      })
    }, /*#__PURE__*/React.createElement(ScrollSpy, {
      monitorScroll: false
    }, /*#__PURE__*/React.createElement(ScrollReceiver, {
      style: {
        border: "1px solid #fff"
      }
    }, "test222"))), /*#__PURE__*/React.createElement(ScrollSpy, {
      id: "t3",
      style: _objectSpread(_objectSpread({}, Styles.content), {}, {
        background: "#2ECC71"
      })
    }, "test333")));
  };

  return Index;
}(Component);

export default Index;
var Styles = {
  content: {
    height: "110vh",
    textAlign: "center",
    paddingTop: "10%",
    fontSize: "4rem",
    color: "#fff"
  },
  link: {
    display: "inline-block",
    padding: "0.3rem 0.5rem",
    fontSize: "2rem",
    color: "#fff",
    marginRight: "10px",
    opacity: "0.5",
    cursor: "pointer"
  },
  active: {
    opacity: 1
  },
  body: reactStyle({
    margin: 0,
    padding: 0
  }, 'body'),
  nav: {
    position: 'fixed',
    background: '#fff',
    textAlign: 'center',
    width: "100%",
    padding: "10px 0",
    top: 0
  }
};
injectStyle();